diff -pruN 2.12.1-1/debian/changelog 2.12.1-2/debian/changelog
--- 2.12.1-1/debian/changelog	2024-04-05 08:44:48.000000000 +0000
+++ 2.12.1-2/debian/changelog	2024-06-05 13:51:41.000000000 +0000
@@ -1,3 +1,15 @@
+man-db (2.12.1-2) unstable; urgency=medium
+
+  [ Colin Watson ]
+  * Configure with --disable-setuid to reduce the need for chown at package
+    build time.  (The man-db/install-setuid debconf question still works as
+    before.)
+
+  [ Niels Thykier ]
+  * Migrate to debputy to avoid needing fakeroot.
+
+ -- Colin Watson <cjwatson@debian.org>  Wed, 05 Jun 2024 14:51:41 +0100
+
 man-db (2.12.1-1) unstable; urgency=medium
 
   * New upstream release.
diff -pruN 2.12.1-1/debian/control 2.12.1-2/debian/control
--- 2.12.1-1/debian/control	2024-04-05 08:44:48.000000000 +0000
+++ 2.12.1-2/debian/control	2024-06-05 13:51:41.000000000 +0000
@@ -7,6 +7,7 @@ Build-Depends: autopoint,
                bsdextrautils | bsdmainutils (<< 12.1.1~),
                debhelper-compat (= 13),
                dh-apparmor,
+               dh-sequence-zz-debputy-rrr (>= 0.1.23~),
                flex,
                gnulib,
                groff,
@@ -20,7 +21,7 @@ Build-Depends: autopoint,
 Homepage: https://man-db.gitlab.io/man-db/
 Vcs-Git: https://salsa.debian.org/debian/man-db.git
 Vcs-Browser: https://salsa.debian.org/debian/man-db
-Rules-Requires-Root: binary-targets
+Rules-Requires-Root: no
 
 Package: man-db
 Architecture: any
diff -pruN 2.12.1-1/debian/debputy.manifest 2.12.1-2/debian/debputy.manifest
--- 2.12.1-1/debian/debputy.manifest	1970-01-01 00:00:00.000000000 +0000
+++ 2.12.1-2/debian/debputy.manifest	2024-06-05 13:51:41.000000000 +0000
@@ -0,0 +1,8 @@
+manifest-version: '0.1'
+packages:
+  man-db:
+    transformations:
+      - create-directories:
+          path: var/cache/man
+          owner: man
+          group: man
diff -pruN 2.12.1-1/debian/rules 2.12.1-2/debian/rules
--- 2.12.1-1/debian/rules	2024-04-05 08:44:48.000000000 +0000
+++ 2.12.1-2/debian/rules	2024-06-05 13:51:41.000000000 +0000
@@ -20,7 +20,7 @@ override_dh_autoreconf:
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	            --libdir=\$${prefix}/lib \
-	            --enable-setuid \
+	            --disable-setuid \
 	            --with-device=latin1 --enable-mb-groff \
 	            --with-config-file=/etc/manpath.config \
 	            --with-browser=www-browser --with-pager=pager \
@@ -39,8 +39,5 @@ execute_after_dh_auto_install:
 execute_after_dh_install:
 	dh_apparmor --profile-name=usr.bin.man
 
-execute_after_dh_fixperms:
-	chown man:man $(dtmp)/var/cache/man
-
 # Our shared libraries are private.
 override_dh_makeshlibs:
